<?php
namespace saturnZ\maps\controller;
use Symfony\Component\HttpFoundation\Response;
class maps{protected $config;protected $db;
	protected $template;
	protected $user;
	protected $phpbb_root_path;
	protected $php_ext;

	public function __construct(\phpbb\config\config $config, \phpbb\request\request_interface $request,
								\phpbb\pagination $pagination, \phpbb\db\driver\driver_interface $db,
								\phpbb\template\template $template, \phpbb\user $user,
								$phpbb_root_path, $php_ext, $table_prefix)
	{
		$this->config = $config;
		$this->request = $request;
		$this->pagination = $pagination;
		$this->db = $db;
		$this->template = $template;
		$this->user = $user;
		$this->phpbb_root_path = $phpbb_root_path;
		$this->php_ext = $php_ext;
		$this->table_prefix = $table_prefix;
		define(__NAMESPACE__ . '\MAP', $this->table_prefix . 'map');
		define(__NAMESPACE__ . '\MAP_REPA', $this->table_prefix . 'map_repa');
		define(__NAMESPACE__ . '\USER_TABLE', $this->table_prefix . 'users');
		define(__NAMESPACE__ . '\USER_GROUP_TABLE', $this->table_prefix . 'user_group');
	}

	public function main()
	{
		function clear_text($text)
		{
			return strip_tags(str_replace( "'", '"', html_entity_decode($text, ENT_QUOTES) ));
		}

		function info_text($text)
		{
			return "<div style=\"text-align: center;\"><h3>" . $text . "</h3></div>"
					. "<meta http-equiv=\"refresh\" content=\"2; url=maps\">";
		}

		// Output the page
		$this->template->assign_vars([
			'MAPS_PAGE_TITLE'	=> $this->config['maps_title'],
		]);

		$userid = $this->user->data['user_id'];
		$groups = $this->config['maps_group'];
		$groups_edit = $this->config['maps_group_edit'];
		$groups_delete = $this->config['maps_group_delete'];
		$placemark_posts = $this->config['maps_Placemark_posts'];
		$maps_post = $this->config['maps_post'];
		$maps_posts_forum = $this->config['maps_posts_forum'];
		$senter_maps = $this->config['maps_center'];
		$reputation = $this->config['maps_reputation'];
		$bounds = $this->config['maps_bounds'];

		$bounds_maps = '';

		if ($bounds == '1')
		{
			$bounds_maps = " 
				myMap.setBounds(clusterer.getBounds(), {
					checkZoomRange: true
				});
			";
		}

		//Who can view map 
		$can_view_map = false;

		if ($groups != '')
		{
			$sql = "SELECT group_id
				FROM " . USER_GROUP_TABLE . "
					WHERE group_id IN ($groups)
						AND user_id = {$userid}";
			$res = $this->db->sql_query($sql);
			$can_view_map = $this->db->sql_fetchrow($res);
			$this->db->sql_freeresult($res);
		}

		if (!$can_view_map)
		{
			if ($this->user->data['user_id'] != ANONYMOUS)
			{
				trigger_error('NOT_AUTHORISED');
			}
			else
			{
				login_box('', $this->user->lang['LOGIN_EXPLAIN_VIEW_MAPS_PAGE']);
			}
		}
		
		//Who can delete
		$can_delete = false;
		
		if ($groups_delete != '')
		{
			$sql_delete = "SELECT group_id
							FROM " . USER_GROUP_TABLE . "
							WHERE group_id IN ($groups_delete)
								AND user_id = {$userid}";
			$res_delete = $this->db->sql_query($sql_delete);
			$can_delete = $this->db->sql_fetchrow($res_delete);
			$this->db->sql_freeresult($res_delete);
		}
				
		//Map
		$sql = "SELECT t.id, t.user_id, t.title, t.descr, t.coord, t.repa, t.topic, t.forum,
						s.username, s.user_type, s.user_colour, s.user_id 
				FROM " . MAP . " AS t
				
				LEFT JOIN " . USER_TABLE . " AS s
				ON (s.user_id = t.user_id)";
		$result = $this->db->sql_query($sql);

		while ($row = $this->db->sql_fetchrow($result)) 
		{
			/*if ($row)
			{*/
				$id = $row['id'];
				$titles = str_replace(["\r\n", "\r", "\n"], "<br />", $row['title']);
				$descr = str_replace(["\r\n", "\r", "\n"], "<br />", $row['descr']);
				$coord = $row['coord'];
				$user_id = $row['user_id'];
				$t_id = $row['topic'];
				$f_id = $row['forum'];
				$repa = $row['repa'];
				$username = get_username_string((($row['user_type'] == USER_IGNORE) ? 'no_profile' : 'full'), $row['user_id'], $row['username'], $row['user_colour']); 
				//$url = append_sid("{$this->phpbb_root_path}viewtopic.{$this->php_ext}", "f={$f_id}&amp;t={$t_id}");

				$url = "";

				if ($t_id <> 0)
				{
					$url = "<br />"
							. "<a href=" . append_sid("{$this->phpbb_root_path}viewtopic.{$this->php_ext}", "f={$f_id}&amp;t={$t_id}") . ">"
								. $this->user->lang('MAPS_FORUM_MARK')
							. "</a>";			
				}
				
				$delete = "";

				if (!$can_delete)
				{
					//Do nothing
				}
				else
				{
					$delete = "<hr size=1>"
								. "<form class=\"map_del_placemark\" method=\"post\">"
									. "<input type=\"hidden\" name=\"del\" value=\"" . $id . "\">"
									. "<input type=\"hidden\" name=\"tid\" value=\"" . $t_id . "\">"
									. "<input type=\"hidden\" name=\"delete\" value=\"delete\">"
									. "<input type=\"submit\" value=\"" . $this->user->lang('MAPS_DELELE') . "\" name=\"delete\" >"
								. "</form>";
				}

				$r = 'color: ';
				$r2 = '';

				if ($repa < 0)
				{
					$r .= 'red';
				}
				elseif ($repa == 0)
				{
					$r .= 'blue';
				}
				else
				{
					$r .= 'green';
					$r2 = '+';
				}
				
				$r .= '; text-align: center; font-weight: bold; font-size: 11px;';
				$r2 .= $repa;

				$repca = '';

				if ($reputation == '1')
				{
					$repca = "<hr size=1>"
							. "<form class=\"map_reputation_up\" method=\"post\" style=\"float:left;\">"
								. "<input type=\"hidden\" name=\"id\" value=\"$id\">"
								. "<input type=\"hidden\" name=\"up\" value=\"up\">"
								. $this->user->lang('MAPS_REPUTATION')
								. "<input type=\"submit\" class=\"up_submit\" name=\"up\" value=\"up\" />"
							. "</form>"
							. "<form class=\"map_reputation_down\" method=\"post\" style=\"float:left;\">"
								. "<input type=\"hidden\" name=\"id\" value=\"$id\">"
								. "<input type=\"hidden\" name=\"down\" value=\"down\">"
								. "<input data-placemark-id=\"$id\" type=\"text\" name=\"text\" value=\"$r2\" SIZE=\"4\" style=\"$r\">"
								. "<input type=\"submit\" class=\"down_submit\" name=\"down\" value=\"down\" />"
							. "</form><br />";
				}

				$this->template->assign_block_vars('row', [
					'PLACEMARK'			=> "
						.add(new ymaps.Placemark([$coord], {
							iconCaption: '$titles',
							balloonContentHeader: '<strong><big>$titles</big></strong>',
							balloonContentBody: '<hr size=1>$descr',
							balloonContentFooter: '" . $this->user->lang('MAPS_USER_MARK') . ": $username $url $repca $delete <hr size=1>" . $this->user->lang('MAPS_CLICK_COORD') . ": $coord'
						}))
					",
				]);
				//hintContent: '$titles',
			/*}
			else
			{
				$this->template->assign_block_vars('row', [
					'PLACEMARK'			=> "",
				]);
			}*/
		}
		$this->db->sql_freeresult($result);

		//Who can edit
		$can_edit = false;

		if ($groups_edit != '')
		{
			$sql_edit = "SELECT group_id
				FROM " . USER_GROUP_TABLE . "
					WHERE group_id IN ($groups_edit)
						AND user_id = {$userid}";
			$res_edit = $this->db->sql_query($sql_edit);
			$can_edit = $this->db->sql_fetchrow($res_edit);
			$this->db->sql_freeresult($res_edit);
		}
				
		if (!$can_edit)
		{
			//Do nothing
		}
		else
		{
			$this->template->assign_block_vars('edit', [
				'EDIT'			=> "
				myMap.events.add('click', function (e) {
					if (!myMap.balloon.isOpen()) {
						var coords = e.get('coords');
						myMap.balloon.open(coords, {
							contentHeader:'" . $this->user->lang('MAPS_ADD_MARK') . "',
							contentBody:'<form class=\"map_add_placemark\" method=\"post\"><p>" . $this->user->lang('MAPS_TITLE_MARK') . ":<br /><input type=\"text\" name=\"title\" maxlength=\"255\"></p><p>" . $this->user->lang('MAPS_DESCR_MARK') . ":<br /><textarea rows=\"5\" cols=\"30\" name=\"descriptpoint\"></textarea></p><input name=\"pcoord\" type=\"hidden\" value=\"'+ [coords[0].toPrecision(11),coords[1].toPrecision(11)].join(', ') +'\" ><input name=\"but\" type=\"hidden\" value=\"but\" ><p><input type=\"submit\" value=\"" . $this->user->lang('MAPS_SUBMIT') . "\" name=\"but\" ></p></form><hr size=1>" . $this->user->lang('MAPS_CLICK_COORD') . ": '+ [coords[0].toPrecision(11),coords[1].toPrecision(11)].join(', ') +''
						});
					}
					else {
						myMap.balloon.close();
					}
				});
				",
			]);
		}

		//Map
		$this->template->assign_block_vars('map', [
			'HEADER'			=> "
				<script>
					ymaps.ready(function () {
						myMap = new ymaps.Map('map', {
							center: [$senter_maps],
							zoom: 10
						}),

					clusterer = new ymaps.Clusterer({
					groupByCoordinates: false,
					clusterDisableClickZoom: true,
					clusterHideIconOnBalloonOpen: false,
					geoObjectHideIconOnBalloonOpen: false
					}),

					geoObjects = new ymaps.GeoObject({
						geometry: {
							type: 'Point',
							coordinates: [$senter_maps]
						}
					});

					clusterer
			",

			'FOOTER'			=> "
				clusterer.options.set({
					gridSize: 80,
					clusterDisableClickZoom: false
				});

				myMap.geoObjects.add(clusterer);
				$bounds_maps
					});
				</script>
			",

			'CONTAINER'			=> "
				<div id='map' class='container_map'></div>
				<br /><center><a href=".">Обновить Карту</a></center>
			",
		]);

		if ($this->request->variable('up', ''))
		{
			$map_id = $this->request->variable('id', 0);

			if ($this->user->data['user_id'] != ANONYMOUS)
			{

				$sql = "SELECT *
					FROM " . MAP_REPA . "
						WHERE map_id = {$map_id}
							AND user_id = {$userid}";
				$res = $this->db->sql_query($sql);
				$row = $this->db->sql_fetchrow($res);
				$this->db->sql_freeresult($res);
				
				if ($row > 0)
				{
					if ($this->request->is_ajax())
					{
						$json_response = new \phpbb\json_response;
						$json_response->send([
							'res'         => 'no',
							'res_id'      => $map_id,
							'res_title'   => $this->user->lang['INFORMATION'],
							'res_text'    => $this->user->lang('MAPS_UP_DOWN_NO'),
						]);
					}

					$this->template->assign_block_vars('info', [
						'TEXT'			=> info_text($this->user->lang('MAPS_UP_DOWN_NO')),
					]);
				}
				else
				{
					$insert = $this->db->sql_query("INSERT INTO " . MAP_REPA . " (user_id, map_id) VALUES ('$userid', '$map_id')");
					$update = $this->db->sql_query("UPDATE " . MAP . " SET repa=repa+1 WHERE id='$map_id'");

					if ($insert and $update)
					{
						if ($this->request->is_ajax())
						{
							$json_response = new \phpbb\json_response;
							$json_response->send([
								'res'         => 'yes',
								'res_mode'    => 'up',
								'res_id'      => $map_id,
								'res_title'   => $this->user->lang['INFORMATION'],
								'res_text'    => $this->user->lang('MAPS_UP_DOWN_YES'),
							]);
						}
						
						$this->template->assign_block_vars('info', [
							'TEXT'			=> info_text($this->user->lang('MAPS_UP_DOWN_YES')),
						]);
					} 
					else  
					{
						if ($this->request->is_ajax())
						{
							$json_response = new \phpbb\json_response;
							$json_response->send([
								'res'         => 'no',
								'res_id'      => $map_id,
								'res_title'   => $this->user->lang['INFORMATION'],
								'res_text'    => $this->user->lang('MAPS_ERROR_MARK'),
							]);
						}

						$this->template->assign_block_vars('info', [
							'TEXT'			=> info_text($this->user->lang('MAPS_ERROR_MARK')),
						]);
					}
				}

			}
			else
			{
				login_box('', $this->user->lang['LOGIN_REPUTATION_PAGE']);
			}

		}

		if ($this->request->variable('down', ''))
		{
			$map_id = $this->request->variable('id', 0);

			if ($this->user->data['user_id'] != ANONYMOUS)
			{
				$sql = "SELECT *
					FROM " . MAP_REPA . "
						WHERE map_id = {$map_id}
							AND user_id = {$userid}";
				$res = $this->db->sql_query($sql);
				$row = $this->db->sql_fetchrow($res);
				$this->db->sql_freeresult($res);
				
				if ($row > 0)
				{
					if ($this->request->is_ajax())
					{
						$json_response = new \phpbb\json_response;
						$json_response->send([
							'res'         => 'no',
							'res_id'      => $map_id,
							'res_title'   => $this->user->lang['INFORMATION'],
							'res_text'    => $this->user->lang('MAPS_UP_DOWN_NO'),
						]);
					}

					$this->template->assign_block_vars('info', [
						'TEXT'			=> info_text($this->user->lang('MAPS_UP_DOWN_NO')),
					]);
				}
				else
				{
					$insert = $this->db->sql_query("INSERT INTO " . MAP_REPA . " (user_id, map_id) VALUES ('$userid', '$map_id')");
					$update = $this->db->sql_query("UPDATE " . MAP . " SET repa=repa-1 WHERE id='$map_id'");

					if ($insert && $update)
					{
						if ($this->request->is_ajax())
						{
							$json_response = new \phpbb\json_response;
							$json_response->send([
								'res'         => 'yes',
								'res_mode'    => 'down',
								'res_id'      => $map_id,
								'res_title'   => $this->user->lang['INFORMATION'],
								'res_text'    => $this->user->lang('MAPS_UP_DOWN_YES'),
							]);
						}

						$this->template->assign_block_vars('info', [
							'TEXT'			=> info_text($this->user->lang('MAPS_UP_DOWN_YES')),
						]);
					} 
					else  
					{
						if ($this->request->is_ajax())
						{
							$json_response = new \phpbb\json_response;
							$json_response->send([
								'res'         => 'no',
								'res_id'      => $map_id,
								'res_title'   => $this->user->lang['INFORMATION'],
								'res_text'    => $this->user->lang('MAPS_ERROR_MARK'),
							]);
						}

						$this->template->assign_block_vars('info', [
							'TEXT'			=> info_text($this->user->lang('MAPS_ERROR_MARK')),
						]);
					}
				}

			}
			else
			{
				login_box('', $this->user->lang['LOGIN_REPUTATION_PAGE']);
			}

		}

		if ($this->request->variable('delete', '', false, \phpbb\request\request_interface::POST))
		{
			$del_id = $this->request->variable('del', 0);
			$tid = $this->request->variable('tid', 0);
			$delete = $this->db->sql_query("DELETE FROM " . MAP . " WHERE id = {$del_id}");
			
			if ($delete)
			{
				if ($tid <> 0)
				{
					$sql = "SELECT post_id 
								FROM ". POSTS_TABLE . " 
								WHERE topic_id = {$tid}";
					$result = $this->db->sql_query($sql);
					$row = $this->db->sql_fetchrow($result);
					$this->db->sql_freeresult($result);

					if ($row) 
					{
						if (!function_exists('delete_posts'))
						{
							include($this->phpbb_root_path . 'includes/functions_admin.' . $this->php_ext);
						}

						delete_posts('post_id', $row);
					}
				}

				if ($this->request->is_ajax())
				{
					$json_response = new \phpbb\json_response;
					$json_response->send([
						'res'         => 'yes',
						'res_title'   => $this->user->lang['INFORMATION'],
						'res_text'    => $this->user->lang('MAPS_DELELE_MARK'),
					]);
				}
				
				$this->template->assign_block_vars('info', [
					'TEXT'			=> info_text($this->user->lang('MAPS_DELELE_MARK')),
				]);
			} 
			else  
			{
				if ($this->request->is_ajax())
				{
					$json_response = new \phpbb\json_response;
					$json_response->send([
						'res'         => 'no',
						'res_title'   => $this->user->lang['INFORMATION'],
						'res_text'    => $this->user->lang('MAPS_ERROR_MARK'),
					]);
				}

				$this->template->assign_block_vars('info', [
					'TEXT'			=> info_text($this->user->lang('MAPS_ERROR_MARK')),
				]);
			}
		}

		if ($this->request->variable('but', ''))
		{			
			$pcoord = $this->request->variable('pcoord', '', true);
			$descriptpoint = clear_text($this->request->variable('descriptpoint', '', true));
			$title = clear_text($this->request->variable('title', '', true));

			if ($maps_post == '1')
			{
				$bbmaps = '[yandexmaps=' . $title . ']' . $pcoord . '[/yandexmaps]' . sprintf("\n") . $descriptpoint . '';
			}
			else
			{
				$bbmaps = "$descriptpoint";
			}

			if (($title !== '') && ($descriptpoint !== ''))
			{

				$sql = "SELECT * 
					FROM " . MAP . " 
					WHERE coord 
					LIKE '$pcoord'";
				$res = $this->db->sql_query($sql);
				
				if ($this->db->sql_affectedrows($res) <> 0)
				{
					$this->template->assign_block_vars('info', [
							'TEXT'			=> info_text($this->user->lang('MAPS_EXISTS_MARK')),
					]);
				}
				else
				{
					$topic = 0;

					if ($placemark_posts == 1)
					{
						include($this->phpbb_root_path . '/includes/functions_posting.' . $this->php_ext);

						$poll = $uid = $bitfield = $options = ''; 

						generate_text_for_storage($bbmaps, $uid, $bitfield, $options, true, true, true);

						$data = [
							'forum_id'					=> $maps_posts_forum,
							'icon_id'					=> false,
							'enable_bbcode'				=> (bool) true,
							'enable_smilies'			=> (bool) true,
							'enable_urls'				=> (bool) true,
							'enable_sig'				=> (bool) true,
							'message'					=> $bbmaps,
							'message_md5'				=> (string) '',
							'bbcode_bitfield'			=> $bitfield,
							'bbcode_uid'				=> $uid,
							'post_edit_locked'			=> 0,
							'topic_title'				=> $title,
							'notify_set'				=> false,
							'notify'					=> false,
							'post_time'					=> 0,
							'forum_name'				=> '',
							'enable_indexing'			=> (bool) false,
							'post_id'					=> '',
							'topic_first_post_id'		=> '',
							'force_approved_state'		=> 1,
						];

						submit_post('post', $title, '', POST_NORMAL, $poll, $data);

						$topic = $data['topic_id'];
					}

					$insert = $this->db->sql_query("INSERT INTO " . MAP . " (user_id, title, descr, coord, repa, topic, forum) VALUES ('$userid', '$title', '$descriptpoint', '$pcoord', '0', '$topic', '$maps_posts_forum')");
									 
					if ($insert)
					{
						if ($this->request->is_ajax())
						{
							$username = str_replace('"', '\"', get_username_string((($this->user->data['user_type'] == USER_IGNORE) ? 'no_profile' : 'full'), $this->user->data['user_id'], $this->user->data['username'], $this->user->data['user_colour']));
							
							$url = "";

							if ($topic <> 0)
							{
								$url = '<br />'
										. '<a href=\"' . append_sid("{$this->phpbb_root_path}viewtopic.{$this->php_ext}", "f={$maps_posts_forum}&amp;t={$topic}") . '\">'
											. $this->user->lang('MAPS_FORUM_MARK')
										. '</a>';			
							}
							
							$sql = 'SELECT id FROM ' . MAP . ' WHERE user_id = ' . $userid . ' AND coord = "' . $pcoord . '"';
							$result = $this->db->sql_query($sql);
							$id = $this->db->sql_fetchrow($result);
							$this->db->sql_freeresult($result);

							$id = $id['id'];

							$repca = '';

							if ($reputation == '1')
							{
								$r = 'color: blue; text-align: center; font-weight: bold; font-size: 11px;';
								$r2 = '0';

								$repca = '<hr size=1>'
										. '<form class=\"map_reputation_up\" method=\"post\" style=\"float:left;\">'
											. '<input type=\"hidden\" name=\"id\" value=\"' . $id . '\">'
											. '<input type=\"hidden\" name=\"up\" value=\"up\">'
											. $this->user->lang('MAPS_REPUTATION')
											. '<input type=\"submit\" class=\"up_submit\" name=\"up\" value=\"up\" />'
										. '</form>'
										. '<form class=\"map_reputation_down\" method=\"post\" style=\"float:left;\">'
											. '<input type=\"hidden\" name=\"id\" value=\"' . $id . '\">'
											. '<input type=\"hidden\" name=\"down\" value=\"down\">'
											. '<input data-placemark-id=\"' . $id . '\" type=\"text\" name=\"text\" value=\"' . $r2 . '\" SIZE=\"4\" style=\"' . $r . '\">'
											. '<input type=\"submit\" class=\"down_submit\" name=\"down\" value=\"down\" />'
										. '</form><br />';
							}
							
							$delete = "";

							if (!$can_delete)
							{
								//Do nothing
							}
							else
							{
								$delete = '<hr size=1>'
											. '<form class=\"map_del_placemark\" method=\"post\">'
												. '<input type=\"hidden\" name=\"del\" value=\"' . $id . '\">'
												. '<input type=\"hidden\" name=\"tid\" value=\"' . $topic . '\">'
												. '<input type=\"hidden\" name=\"delete\" value=\"delete\">'
												. '<input type=\"submit\" value=\"' . $this->user->lang('MAPS_DELELE') . '\" name=\"delete\" >'
											. '</form>';
							}

							$title = str_replace('"', '\"', $title);
							$descriptpoint = str_replace('"', '\"', $descriptpoint);

							$json_response = new \phpbb\json_response;
							$json_response->send([
								'res'             => 'yes',
								'data'            => '{
										"type": "FeatureCollection",
										"features": [
											 {"type": "Feature",
											 "id": '. $id . ',
											 "geometry": {
												 "type": "Point",
												 "coordinates": [' . $pcoord . ']
												},
											 "properties": {
												 "iconCaption": "' . $title . '",
												 "balloonContentHeader": "<strong><big>' . $title . '</big></strong>",
												 "balloonContentBody": "' . $descriptpoint . '",
												 "balloonContentFooter": "' . ($this->user->lang('MAPS_USER_MARK') . ": $username $url $repca $delete <hr size=1>" . $this->user->lang('MAPS_CLICK_COORD') . ": $coord" ) . '"
											 },
											 "options": {"gridSize": 80, "clusterDisableClickZoom": false}
											}
										]
								}',
								//'pcoord_0'        => explode(', ', $pcoord)[0],
								//'pcoord_1'        => explode(', ', $pcoord)[1],
								//'title'           => $title,
								//'descriptpoint'   => $descriptpoint,
								//'footer'          => $this->user->lang('MAPS_USER_MARK') . ": $username $url $repca $delete <hr size=1>" . $this->user->lang('MAPS_CLICK_COORD') . ": $coord",
								//'res_title'       => $this->user->lang['INFORMATION'],
								//'res_text'        => $this->user->lang('MAPS_SAVE_MARK'),
							]);
						}

						$this->template->assign_block_vars('info', [
							'TEXT'			=> info_text($this->user->lang('MAPS_SAVE_MARK')),
						]);
					} 
					else  
					{
						if ($this->request->is_ajax())
						{
							$json_response = new \phpbb\json_response;
							$json_response->send([
								'res'         => 'no',
								'res_title'   => $this->user->lang['INFORMATION'],
								'res_text'    => $this->user->lang('MAPS_ERROR2_MARK'),
							]);
						}
						
						$this->template->assign_block_vars('info', [
							'TEXT'			=> info_text($this->user->lang('MAPS_ERROR_MARK')),
						]);
					}
				}
			} 
			else  
			{
				if ($this->request->is_ajax())
				{
					$json_response = new \phpbb\json_response;
					$json_response->send([
						'res'         => 'no',
						'res_title'   => $this->user->lang['INFORMATION'],
						'res_text'    => $this->user->lang('MAPS_ERROR2_MARK')
					]);
				}
				
				$this->template->assign_block_vars('info', [
					'TEXT'			=> info_text($this->user->lang('MAPS_ERROR2_MARK')),
				]);
			}
		}

		page_header($this->config['maps_title']);

		$this->template->set_filenames([
			'body' => 'maps_body.html'
		]);

		page_footer();
	}
}
